package com.hzya.frame.sys.flow.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sys.flow.entity.SysFlowStepEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 流程步骤信息(SysFlowStep)表服务接口
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:27
 */
public interface ISysFlowStepService extends IBaseService<SysFlowStepEntity, String>{

    /**
     * 保存流程步骤
     * @param object
     * @return
     */
    JsonResultEntity saveFlowStep(JSONObject object);

    /**
     * 更新流程步骤
     * @param object
     * @return
     */
    JsonResultEntity updateFlowStep(JSONObject object);

    /**
     * 删除流程步骤
     * @param object
     * @return
     */
    JsonResultEntity deleteFlowStep(JSONObject object);


    /**
     * 查询列表
     * @param object
     * @return
     */
    JsonResultEntity queryList(JSONObject object);
    /**
     * 步骤详情
     * @param object
     * @return
     */
    JsonResultEntity getFlowStep(JSONObject object);
}
